states.push({
	id: "disable-ion-engine",
	button: "Disable Ion Engine",
	action: "Disengaging",
	duration: 300,
	show: () => isFlagEnabled('ion-engine-purchased') && isFlagEnabled('ion-engine-enabled'),
	requires: () => {
		if (!isFlagEnabled('ion-engine-enabled')) { errorMessage = "Ion Engine already deactivated"; }
		return isFlagEnabled('ion-engine-enabled');
	},
	run: () => {
		clearFlag('ion-engine-enabled');
	},
});